package com.ruoyi.zdsz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 小区管理业务对象 z_area
 *
 * @author ruoyi
 * @date 2023-12-23
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZAreaBo extends BaseEntity {

    /**
     * 主键id
     */
    @NotNull(message = "主键id不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 小区名
     */
    @NotBlank(message = "小区名不能为空", groups = { AddGroup.class, EditGroup.class })
    private String name;

    /**
     * 负责工长
     */
    @NotNull(message = "负责工长不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long userId;

    /**
     * 是否释放
     */
    @NotBlank(message = "是否释放不能为空", groups = { AddGroup.class, EditGroup.class })
    private String releaseIs;

    /**
     * 释放人
     */
    @NotBlank(message = "释放人不能为空", groups = { AddGroup.class, EditGroup.class })
    private String releaseBy;

    /**
     * 行政区（字典district）
     */
    @NotBlank(message = "行政区（字典district）不能为空", groups = { AddGroup.class, EditGroup.class })
    private String district;

    /**
     * 
     */
    @NotBlank(message = "不能为空", groups = { AddGroup.class, EditGroup.class })
    private String calculateDistrictId;

    /**
     * 
     */
    @NotBlank(message = "不能为空", groups = { AddGroup.class, EditGroup.class })
    private String calculateDistrictName;

    /**
     * 
     */
    @NotNull(message = "不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long areaSize;

    /**
     * 
     */
    @NotBlank(message = "不能为空", groups = { AddGroup.class, EditGroup.class })
    private String affiliatedPackage;


}
