package com.ruoyi.zdsz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工程管理业务对象 z_engineering
 *
 * @author ruoyi
 * @date 2023-12-23
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZEngineeringBo extends BaseEntity {

    /**
     * 主键
     */
    @NotBlank(message = "主键不能为空", groups = { EditGroup.class })
    private String id;

    /**
     * 小区id
     */
    @NotBlank(message = "小区id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String areaId;

    /**
     * 楼宇id
     */
    @NotBlank(message = "楼宇id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String buildingId;

    /**
     * 单元id
     */
    @NotBlank(message = "单元id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String unitId;

    /**
     * 房间id
     */
    @NotBlank(message = "房间id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String houseId;

    /**
     * 工程类型(字典)
     */
    @NotBlank(message = "工程类型(字典)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String engineeringType;

    /**
     * 负责人id
     */
    @NotBlank(message = "负责人id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String headName;

    /**
     * 负责人电话
     */
    @NotBlank(message = "负责人电话不能为空", groups = { AddGroup.class, EditGroup.class })
    private String headPhone;

    /**
     * 工程分类(字典)
     */
    @NotBlank(message = "工程分类(字典)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String engineeringClassification;


}
