package com.ruoyi.zdsz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 市政工程详情业务对象 z_engineering_city_info
 *
 * @author ruoyi
 * @date 2023-12-23
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZEngineeringCityInfoBo extends BaseEntity {

    /**
     * 
     */
    @NotBlank(message = "不能为空", groups = { EditGroup.class })
    private String id;

    /**
     * 工程节点id
     */
    @NotBlank(message = "工程节点id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String engInfoId;

    /**
     * 工程类型(字典)
     */
    @NotBlank(message = "工程类型(字典)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String engType;

    /**
     * 建设单位
     */
    @NotBlank(message = "建设单位不能为空", groups = { AddGroup.class, EditGroup.class })
    private String buildUnit;

    /**
     * 项目负责人id
     */
    @NotBlank(message = "项目负责人id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String buildUser;

    /**
     * 项目负责人电话
     */
    @NotBlank(message = "项目负责人电话不能为空", groups = { AddGroup.class, EditGroup.class })
    private String buildPhone;

    /**
     * 建设单位
     */
    @NotBlank(message = "建设单位不能为空", groups = { AddGroup.class, EditGroup.class })
    private String psUnit;

    /**
     * 项目负责人id
     */
    @NotBlank(message = "项目负责人id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String psUser;

    /**
     * 项目负责人电话
     */
    @NotBlank(message = "项目负责人电话不能为空", groups = { AddGroup.class, EditGroup.class })
    private String psPhone;

    /**
     * 建设单位
     */
    @NotBlank(message = "建设单位不能为空", groups = { AddGroup.class, EditGroup.class })
    private String checkUnit;

    /**
     * 项目负责人id
     */
    @NotBlank(message = "项目负责人id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String checkUser;

    /**
     * 项目负责人电话
     */
    @NotBlank(message = "项目负责人电话不能为空", groups = { AddGroup.class, EditGroup.class })
    private String checkPhone;


}
