package com.ruoyi.zdsz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 民用工程详情信息业务对象 z_engineering_civil_info
 *
 * @author ruoyi
 * @date 2023-12-23
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZEngineeringCivilInfoBo extends BaseEntity {

    /**
     * 
     */
    @NotBlank(message = "不能为空", groups = { EditGroup.class })
    private String id;

    /**
     * 工程节点id
     */
    @NotBlank(message = "工程节点id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String engInfoId;

    /**
     * 施工人id
     */
    @NotBlank(message = "施工人id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String constructUser;

    /**
     * 施工地址
     */
    @NotBlank(message = "施工地址不能为空", groups = { AddGroup.class, EditGroup.class })
    private String constructAddre;

    /**
     * 施工时间
     */
    @NotNull(message = "施工时间不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date constructTime;

    /**
     * 是否按图纸施工(字典)
     */
    @NotBlank(message = "是否按图纸施工(字典)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String constructAccordingDrawings;

    /**
     * 施工人电话
     */
    @NotBlank(message = "施工人电话不能为空", groups = { AddGroup.class, EditGroup.class })
    private String constructPhone;

    /**
     * 材质
     */
    @NotBlank(message = "材质不能为空", groups = { AddGroup.class, EditGroup.class })
    private String materialQuality;

    /**
     * 规格
     */
    @NotBlank(message = "规格不能为空", groups = { AddGroup.class, EditGroup.class })
    private String specifications;

    /**
     * 尺寸
     */
    @NotNull(message = "尺寸不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long size;

    /**
     * 数量
     */
    @NotNull(message = "数量不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long number;

    /**
     * 分段打压是否合格(字典)
     */
    @NotBlank(message = "分段打压是否合格(字典)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String segmentedCompressionQualified;

    /**
     * 回填时间
     */
    @NotNull(message = "回填时间不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date backfillTime;


}
