package com.ruoyi.zdsz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 危险作业工程业务对象 z_engineering_danger_info
 *
 * @author ruoyi
 * @date 2023-12-23
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZEngineeringDangerInfoBo extends BaseEntity {

    /**
     * 
     */
    @NotBlank(message = "不能为空", groups = { EditGroup.class })
    private String id;

    /**
     * 工程节点id
     */
    @NotBlank(message = "工程节点id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String engInfoId;

    /**
     * 工程名称
     */
    @NotBlank(message = "工程名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String proName;

    /**
     * 工程地址
     */
    @NotBlank(message = "工程地址不能为空", groups = { AddGroup.class, EditGroup.class })
    private String proAdress;

    /**
     * 工程时间
     */
    @NotNull(message = "工程时间不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date proTime;

    /**
     * 管径
     */
    @NotBlank(message = "管径不能为空", groups = { AddGroup.class, EditGroup.class })
    private String pipJing;

    /**
     * 管材
     */
    @NotBlank(message = "管材不能为空", groups = { AddGroup.class, EditGroup.class })
    private String pipGoods;

    /**
     * 是否存在套管(字典)
     */
    @NotBlank(message = "是否存在套管(字典)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String hasPip;

    /**
     * 管道压力
     */
    @NotBlank(message = "管道压力不能为空", groups = { AddGroup.class, EditGroup.class })
    private String pipPower;

    /**
     * 气源方向
     */
    @NotBlank(message = "气源方向不能为空", groups = { AddGroup.class, EditGroup.class })
    private String airTo;

    /**
     * 作业位置
     */
    @NotBlank(message = "作业位置不能为空", groups = { AddGroup.class, EditGroup.class })
    private String workUnit;

    /**
     * 与作业相关阀门位置
     */
    @NotBlank(message = "与作业相关阀门位置不能为空", groups = { AddGroup.class, EditGroup.class })
    private String workFaUnit;

    /**
     * 压力报告
     */
    @NotBlank(message = "压力报告不能为空", groups = { AddGroup.class, EditGroup.class })
    private String powerReport;

    /**
     * 监理旁站记录
     */
    @NotBlank(message = "监理旁站记录不能为空", groups = { AddGroup.class, EditGroup.class })
    private String checkRecord;

    /**
     * 工作联系单
     */
    @NotBlank(message = "工作联系单不能为空", groups = { AddGroup.class, EditGroup.class })
    private String workConnOrder;

    /**
     * 巡线确认单
     */
    @NotBlank(message = "巡线确认单不能为空", groups = { AddGroup.class, EditGroup.class })
    private String lineOrder;

    /**
     * 危险作业坑大小（字典）
     */
    @NotBlank(message = "危险作业坑大小（字典）不能为空", groups = { AddGroup.class, EditGroup.class })
    private String dangerKeng;

    /**
     * 是否需要支护（字典）
     */
    @NotBlank(message = "是否需要支护（字典）不能为空", groups = { AddGroup.class, EditGroup.class })
    private String isProtect;

    /**
     * 作业坑内其他管道情况
     */
    @NotBlank(message = "作业坑内其他管道情况不能为空", groups = { AddGroup.class, EditGroup.class })
    private String workOtherPips;

    /**
     * 现场负责人id
     */
    @NotBlank(message = "现场负责人id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String nowUserId;

    /**
     * 现场负责人联系方式
     */
    @NotBlank(message = "现场负责人联系方式不能为空", groups = { AddGroup.class, EditGroup.class })
    private String nowUserPhone;

    /**
     * 检口
     */
    @NotBlank(message = "检口不能为空", groups = { AddGroup.class, EditGroup.class })
    private String checkKou;

    /**
     * 管道刷油
     */
    @NotBlank(message = "管道刷油不能为空", groups = { AddGroup.class, EditGroup.class })
    private String pipBoil;

    /**
     * 管道防腐
     */
    @NotBlank(message = "管道防腐不能为空", groups = { AddGroup.class, EditGroup.class })
    private String pipFu;

    /**
     * 管道支护
     */
    @NotBlank(message = "管道支护不能为空", groups = { AddGroup.class, EditGroup.class })
    private String pipPay;

    /**
     * 砌筑阀门井及保护井
     */
    @NotBlank(message = "砌筑阀门井及保护井不能为空", groups = { AddGroup.class, EditGroup.class })
    private String faJing;

    /**
     * 管件保护井砌筑
     */
    @NotBlank(message = "管件保护井砌筑不能为空", groups = { AddGroup.class, EditGroup.class })
    private String jingProtect;

    /**
     * 回田
     */
    @NotBlank(message = "回田不能为空", groups = { AddGroup.class, EditGroup.class })
    private String backField;

    /**
     * 务实
     */
    @NotBlank(message = "务实不能为空", groups = { AddGroup.class, EditGroup.class })
    private String wuShi;

    /**
     * 平整场地
     */
    @NotBlank(message = "平整场地不能为空", groups = { AddGroup.class, EditGroup.class })
    private String smoothPlace;


}
