package com.ruoyi.zdsz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 基建工程详情业务对象 z_engineering_infrastructure_info
 *
 * @author ruoyi
 * @date 2023-12-23
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZEngineeringInfrastructureInfoBo extends BaseEntity {

    /**
     * 
     */
    @NotBlank(message = "不能为空", groups = { EditGroup.class })
    private String id;

    /**
     * 工程节点id
     */
    @NotBlank(message = "工程节点id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String engInfoId;

    /**
     * 工程名称
     */
    @NotBlank(message = "工程名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String engName;

    /**
     * 工程地址
     */
    @NotBlank(message = "工程地址不能为空", groups = { AddGroup.class, EditGroup.class })
    private String buildPlace;

    /**
     * 建设单位
     */
    @NotBlank(message = "建设单位不能为空", groups = { AddGroup.class, EditGroup.class })
    private String buildUnit;

    /**
     * 开工时间
     */
    @NotNull(message = "开工时间不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date startTime;

    /**
     * 计划工期
     */
    @NotNull(message = "计划工期不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date planTime;

    /**
     * 竣工时间
     */
    @NotNull(message = "竣工时间不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date workTime;

    /**
     * 工程内容
     */
    @NotBlank(message = "工程内容不能为空", groups = { AddGroup.class, EditGroup.class })
    private String workContent;

    /**
     * 工程规格
     */
    @NotBlank(message = "工程规格不能为空", groups = { AddGroup.class, EditGroup.class })
    private String buildModel;

    /**
     * 工程尺寸
     */
    @NotBlank(message = "工程尺寸不能为空", groups = { AddGroup.class, EditGroup.class })
    private String buildChi;

    /**
     * 工程数量
     */
    @NotNull(message = "工程数量不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long buildMuch;

    /**
     * 施工人员
     */
    @NotBlank(message = "施工人员不能为空", groups = { AddGroup.class, EditGroup.class })
    private String buildUserId;


}
