package com.ruoyi.zdsz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工程用料预设业务对象 z_engineering_material_preset
 *
 * @author ruoyi
 * @date 2023-12-23
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZEngineeringMaterialPresetBo extends BaseEntity {

    /**
     * 主键
     */
    @NotBlank(message = "主键不能为空", groups = { EditGroup.class })
    private String id;

    /**
     * 小区id
     */
    @NotBlank(message = "小区id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String areaId;

    /**
     * 材质
     */
    @NotBlank(message = "材质不能为空", groups = { AddGroup.class, EditGroup.class })
    private String goodsKind;

    /**
     * 预计规格
     */
    @NotBlank(message = "预计规格不能为空", groups = { AddGroup.class, EditGroup.class })
    private String planGui;

    /**
     * 实际规格
     */
    @NotBlank(message = "实际规格不能为空", groups = { AddGroup.class, EditGroup.class })
    private String realGui;

    /**
     * 实际金额
     */
    @NotNull(message = "实际金额不能为空", groups = { AddGroup.class, EditGroup.class })
    private BigDecimal realMoney;

    /**
     * 预计金额
     */
    @NotNull(message = "预计金额不能为空", groups = { AddGroup.class, EditGroup.class })
    private BigDecimal planMoney;

    /**
     * 预计尺寸
     */
    @NotBlank(message = "预计尺寸不能为空", groups = { AddGroup.class, EditGroup.class })
    private String planSize;

    /**
     * 实际尺寸
     */
    @NotBlank(message = "实际尺寸不能为空", groups = { AddGroup.class, EditGroup.class })
    private String realSzie;


}
