package com.ruoyi.zdsz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 顶管工程详情业务对象 z_engineering_pipe_jacking_info
 *
 * @author ruoyi
 * @date 2023-12-23
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZEngineeringPipeJackingInfoBo extends BaseEntity {

    /**
     * 
     */
    @NotBlank(message = "不能为空", groups = { EditGroup.class })
    private String id;

    /**
     * 工程节点id
     */
    @NotBlank(message = "工程节点id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String engInfoId;

    /**
     * 工程名称
     */
    @NotBlank(message = "工程名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String engName;

    /**
     * 工程地点
     */
    @NotBlank(message = "工程地点不能为空", groups = { AddGroup.class, EditGroup.class })
    private String buildPlace;

    /**
     * 工程编码
     */
    @NotBlank(message = "工程编码不能为空", groups = { AddGroup.class, EditGroup.class })
    private String buildCode;

    /**
     * 工程单位
     */
    @NotBlank(message = "工程单位不能为空", groups = { AddGroup.class, EditGroup.class })
    private String buildUnit;

    /**
     * 工程规模
     */
    @NotBlank(message = "工程规模不能为空", groups = { AddGroup.class, EditGroup.class })
    private String buildModel;

    /**
     * 工程质量
     */
    @NotBlank(message = "工程质量不能为空", groups = { AddGroup.class, EditGroup.class })
    private String buildMg;

    /**
     * 施工人员
     */
    @NotBlank(message = "施工人员不能为空", groups = { AddGroup.class, EditGroup.class })
    private String buildUserId;

    /**
     * 施工时间
     */
    @NotNull(message = "施工时间不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date buildTime;

    /**
     * 工程进度
     */
    @NotBlank(message = "工程进度不能为空", groups = { AddGroup.class, EditGroup.class })
    private String buildProcess;


}
