package com.ruoyi.zdsz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 审核信息业务对象 z_engineering_review
 *
 * @author ruoyi
 * @date 2023-12-23
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZEngineeringReviewBo extends BaseEntity {

    /**
     * 主键
     */
    @NotBlank(message = "主键不能为空", groups = { EditGroup.class })
    private String id;

    /**
     * 审核时间
     */
    @NotNull(message = "审核时间不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date reviewTime;

    /**
     * 审核人
     */
    @NotBlank(message = "审核人不能为空", groups = { AddGroup.class, EditGroup.class })
    private String reviewUser;

    /**
     * 审核状态(字典)
     */
    @NotBlank(message = "审核状态(字典)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String reviewStatus;

    /**
     * 审核内容
     */
    @NotBlank(message = "审核内容不能为空", groups = { AddGroup.class, EditGroup.class })
    private String reviewContent;

    /**
     * 节点ID
     */
    @NotBlank(message = "节点ID不能为空", groups = { AddGroup.class, EditGroup.class })
    private String engInfoId;


}
