package com.ruoyi.zdsz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 房屋管理业务对象 z_house
 *
 * @author ruoyi
 * @date 2023-12-23
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZHouseBo extends BaseEntity {

    /**
     * 主键id
     */
    @NotNull(message = "主键id不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 房屋名
     */
    @NotBlank(message = "房屋名不能为空", groups = { AddGroup.class, EditGroup.class })
    private String name;

    /**
     * 单元id
     */
    @NotNull(message = "单元id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long unitId;


}
