package com.ruoyi.zdsz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 单元管理业务对象 z_unit
 *
 * @author ruoyi
 * @date 2023-12-23
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZUnitBo extends BaseEntity {

    /**
     * 主键id
     */
    @NotNull(message = "主键id不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 单元名
     */
    @NotBlank(message = "单元名不能为空", groups = { AddGroup.class, EditGroup.class })
    private String name;

    /**
     * 楼宇id
     */
    @NotNull(message = "楼宇id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long buildingId;


}
