package com.ruoyi.zdsz.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;

import java.io.Serializable;

/**
 * 危险作业工程视图对象 z_engineering_danger_info
 *
 * @author ruoyi
 * @date 2023-12-23
 */
@Data
@ExcelIgnoreUnannotated
public class ZEngineeringDangerInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ExcelProperty(value = "")
    private String id;

    /**
     * 工程节点id
     */
    @ExcelProperty(value = "工程节点id")
    private String engInfoId;

    /**
     * 工程名称
     */
    @ExcelProperty(value = "工程名称")
    private String proName;

    /**
     * 工程地址
     */
    @ExcelProperty(value = "工程地址")
    private String proAdress;

    /**
     * 工程时间
     */
    @ExcelProperty(value = "工程时间")
    private Date proTime;

    /**
     * 管径
     */
    @ExcelProperty(value = "管径")
    private String pipJing;

    /**
     * 管材
     */
    @ExcelProperty(value = "管材")
    private String pipGoods;

    /**
     * 是否存在套管(字典)
     */
    @ExcelProperty(value = "是否存在套管(字典)")
    private String hasPip;

    /**
     * 管道压力
     */
    @ExcelProperty(value = "管道压力")
    private String pipPower;

    /**
     * 气源方向
     */
    @ExcelProperty(value = "气源方向")
    private String airTo;

    /**
     * 作业位置
     */
    @ExcelProperty(value = "作业位置")
    private String workUnit;

    /**
     * 与作业相关阀门位置
     */
    @ExcelProperty(value = "与作业相关阀门位置")
    private String workFaUnit;

    /**
     * 压力报告
     */
    @ExcelProperty(value = "压力报告")
    private String powerReport;

    /**
     * 监理旁站记录
     */
    @ExcelProperty(value = "监理旁站记录")
    private String checkRecord;

    /**
     * 工作联系单
     */
    @ExcelProperty(value = "工作联系单")
    private String workConnOrder;

    /**
     * 巡线确认单
     */
    @ExcelProperty(value = "巡线确认单")
    private String lineOrder;

    /**
     * 危险作业坑大小（字典）
     */
    @ExcelProperty(value = "危险作业坑大小", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "字=典")
    private String dangerKeng;

    /**
     * 是否需要支护（字典）
     */
    @ExcelProperty(value = "是否需要支护", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "字=典")
    private String isProtect;

    /**
     * 作业坑内其他管道情况
     */
    @ExcelProperty(value = "作业坑内其他管道情况")
    private String workOtherPips;

    /**
     * 现场负责人id
     */
    @ExcelProperty(value = "现场负责人id")
    private String nowUserId;

    /**
     * 现场负责人联系方式
     */
    @ExcelProperty(value = "现场负责人联系方式")
    private String nowUserPhone;

    /**
     * 检口
     */
    @ExcelProperty(value = "检口")
    private String checkKou;

    /**
     * 管道刷油
     */
    @ExcelProperty(value = "管道刷油")
    private String pipBoil;

    /**
     * 管道防腐
     */
    @ExcelProperty(value = "管道防腐")
    private String pipFu;

    /**
     * 管道支护
     */
    @ExcelProperty(value = "管道支护")
    private String pipPay;

    /**
     * 砌筑阀门井及保护井
     */
    @ExcelProperty(value = "砌筑阀门井及保护井")
    private String faJing;

    /**
     * 管件保护井砌筑
     */
    @ExcelProperty(value = "管件保护井砌筑")
    private String jingProtect;

    /**
     * 回田
     */
    @ExcelProperty(value = "回田")
    private String backField;

    /**
     * 务实
     */
    @ExcelProperty(value = "务实")
    private String wuShi;

    /**
     * 平整场地
     */
    @ExcelProperty(value = "平整场地")
    private String smoothPlace;


}
