package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZHouse;
import com.ruoyi.zdsz.domain.vo.ZHouseVo;
import com.ruoyi.zdsz.domain.bo.ZHouseBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 房屋管理Service接口
 *
 * @author ruoyi
 * @date 2023-12-23
 */
public interface IZHouseService {

    /**
     * 查询房屋管理
     */
    ZHouseVo queryById(Long id);

    /**
     * 查询房屋管理列表
     */
    TableDataInfo<ZHouseVo> queryPageList(ZHouseBo bo, PageQuery pageQuery);

    /**
     * 查询房屋管理列表
     */
    List<ZHouseVo> queryList(ZHouseBo bo);

    /**
     * 新增房屋管理
     */
    Boolean insertByBo(ZHouseBo bo);

    /**
     * 修改房屋管理
     */
    Boolean updateByBo(ZHouseBo bo);

    /**
     * 校验并批量删除房屋管理信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
