package com.ruoyi.zdsz.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import com.ruoyi.zdsz.domain.bo.ZEngineeringDangerInfoBo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringDangerInfoVo;
import com.ruoyi.zdsz.domain.ZEngineeringDangerInfo;
import com.ruoyi.zdsz.mapper.ZEngineeringDangerInfoMapper;
import com.ruoyi.zdsz.service.IZEngineeringDangerInfoService;

import java.util.List;
import java.util.Map;
import java.util.Collection;

/**
 * 危险作业工程Service业务层处理
 *
 * @author ruoyi
 * @date 2023-12-23
 */
@RequiredArgsConstructor
@Service
public class ZEngineeringDangerInfoServiceImpl implements IZEngineeringDangerInfoService {

    private final ZEngineeringDangerInfoMapper baseMapper;

    /**
     * 查询危险作业工程
     */
    @Override
    public ZEngineeringDangerInfoVo queryById(String id){
        return baseMapper.selectVoById(id);
    }

    /**
     * 查询危险作业工程列表
     */
    @Override
    public TableDataInfo<ZEngineeringDangerInfoVo> queryPageList(ZEngineeringDangerInfoBo bo, PageQuery pageQuery) {
        LambdaQueryWrapper<ZEngineeringDangerInfo> lqw = buildQueryWrapper(bo);
        Page<ZEngineeringDangerInfoVo> result = baseMapper.selectVoPage(pageQuery.build(), lqw);
        return TableDataInfo.build(result);
    }

    /**
     * 查询危险作业工程列表
     */
    @Override
    public List<ZEngineeringDangerInfoVo> queryList(ZEngineeringDangerInfoBo bo) {
        LambdaQueryWrapper<ZEngineeringDangerInfo> lqw = buildQueryWrapper(bo);
        return baseMapper.selectVoList(lqw);
    }

    private LambdaQueryWrapper<ZEngineeringDangerInfo> buildQueryWrapper(ZEngineeringDangerInfoBo bo) {
        Map<String, Object> params = bo.getParams();
        LambdaQueryWrapper<ZEngineeringDangerInfo> lqw = Wrappers.lambdaQuery();
        lqw.eq(StringUtils.isNotBlank(bo.getEngInfoId()), ZEngineeringDangerInfo::getEngInfoId, bo.getEngInfoId());
        lqw.like(StringUtils.isNotBlank(bo.getProName()), ZEngineeringDangerInfo::getProName, bo.getProName());
        lqw.eq(StringUtils.isNotBlank(bo.getProAdress()), ZEngineeringDangerInfo::getProAdress, bo.getProAdress());
        lqw.eq(bo.getProTime() != null, ZEngineeringDangerInfo::getProTime, bo.getProTime());
        lqw.eq(StringUtils.isNotBlank(bo.getPipJing()), ZEngineeringDangerInfo::getPipJing, bo.getPipJing());
        lqw.eq(StringUtils.isNotBlank(bo.getPipGoods()), ZEngineeringDangerInfo::getPipGoods, bo.getPipGoods());
        lqw.eq(StringUtils.isNotBlank(bo.getHasPip()), ZEngineeringDangerInfo::getHasPip, bo.getHasPip());
        lqw.eq(StringUtils.isNotBlank(bo.getPipPower()), ZEngineeringDangerInfo::getPipPower, bo.getPipPower());
        lqw.eq(StringUtils.isNotBlank(bo.getAirTo()), ZEngineeringDangerInfo::getAirTo, bo.getAirTo());
        lqw.eq(StringUtils.isNotBlank(bo.getWorkUnit()), ZEngineeringDangerInfo::getWorkUnit, bo.getWorkUnit());
        lqw.eq(StringUtils.isNotBlank(bo.getWorkFaUnit()), ZEngineeringDangerInfo::getWorkFaUnit, bo.getWorkFaUnit());
        lqw.eq(StringUtils.isNotBlank(bo.getPowerReport()), ZEngineeringDangerInfo::getPowerReport, bo.getPowerReport());
        lqw.eq(StringUtils.isNotBlank(bo.getCheckRecord()), ZEngineeringDangerInfo::getCheckRecord, bo.getCheckRecord());
        lqw.eq(StringUtils.isNotBlank(bo.getWorkConnOrder()), ZEngineeringDangerInfo::getWorkConnOrder, bo.getWorkConnOrder());
        lqw.eq(StringUtils.isNotBlank(bo.getLineOrder()), ZEngineeringDangerInfo::getLineOrder, bo.getLineOrder());
        lqw.eq(StringUtils.isNotBlank(bo.getDangerKeng()), ZEngineeringDangerInfo::getDangerKeng, bo.getDangerKeng());
        lqw.eq(StringUtils.isNotBlank(bo.getIsProtect()), ZEngineeringDangerInfo::getIsProtect, bo.getIsProtect());
        lqw.eq(StringUtils.isNotBlank(bo.getWorkOtherPips()), ZEngineeringDangerInfo::getWorkOtherPips, bo.getWorkOtherPips());
        lqw.eq(StringUtils.isNotBlank(bo.getNowUserId()), ZEngineeringDangerInfo::getNowUserId, bo.getNowUserId());
        lqw.eq(StringUtils.isNotBlank(bo.getNowUserPhone()), ZEngineeringDangerInfo::getNowUserPhone, bo.getNowUserPhone());
        lqw.eq(StringUtils.isNotBlank(bo.getCheckKou()), ZEngineeringDangerInfo::getCheckKou, bo.getCheckKou());
        lqw.eq(StringUtils.isNotBlank(bo.getPipBoil()), ZEngineeringDangerInfo::getPipBoil, bo.getPipBoil());
        lqw.eq(StringUtils.isNotBlank(bo.getPipFu()), ZEngineeringDangerInfo::getPipFu, bo.getPipFu());
        lqw.eq(StringUtils.isNotBlank(bo.getPipPay()), ZEngineeringDangerInfo::getPipPay, bo.getPipPay());
        lqw.eq(StringUtils.isNotBlank(bo.getFaJing()), ZEngineeringDangerInfo::getFaJing, bo.getFaJing());
        lqw.eq(StringUtils.isNotBlank(bo.getJingProtect()), ZEngineeringDangerInfo::getJingProtect, bo.getJingProtect());
        lqw.eq(StringUtils.isNotBlank(bo.getBackField()), ZEngineeringDangerInfo::getBackField, bo.getBackField());
        lqw.eq(StringUtils.isNotBlank(bo.getWuShi()), ZEngineeringDangerInfo::getWuShi, bo.getWuShi());
        lqw.eq(StringUtils.isNotBlank(bo.getSmoothPlace()), ZEngineeringDangerInfo::getSmoothPlace, bo.getSmoothPlace());
        return lqw;
    }

    /**
     * 新增危险作业工程
     */
    @Override
    public Boolean insertByBo(ZEngineeringDangerInfoBo bo) {
        ZEngineeringDangerInfo add = BeanUtil.toBean(bo, ZEngineeringDangerInfo.class);
        validEntityBeforeSave(add);
        boolean flag = baseMapper.insert(add) > 0;
        if (flag) {
            bo.setId(add.getId());
        }
        return flag;
    }

    /**
     * 修改危险作业工程
     */
    @Override
    public Boolean updateByBo(ZEngineeringDangerInfoBo bo) {
        ZEngineeringDangerInfo update = BeanUtil.toBean(bo, ZEngineeringDangerInfo.class);
        validEntityBeforeSave(update);
        return baseMapper.updateById(update) > 0;
    }

    /**
     * 保存前的数据校验
     */
    private void validEntityBeforeSave(ZEngineeringDangerInfo entity){
        //TODO 做一些数据校验,如唯一约束
    }

    /**
     * 批量删除危险作业工程
     */
    @Override
    public Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid) {
        if(isValid){
            //TODO 做一些业务上的校验,判断是否需要校验
        }
        return baseMapper.deleteBatchIds(ids) > 0;
    }
}
