package com.ruoyi.zdsz.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import com.ruoyi.zdsz.domain.bo.ZEngineeringFilesBo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringFilesVo;
import com.ruoyi.zdsz.domain.ZEngineeringFiles;
import com.ruoyi.zdsz.mapper.ZEngineeringFilesMapper;
import com.ruoyi.zdsz.service.IZEngineeringFilesService;

import java.util.List;
import java.util.Map;
import java.util.Collection;

/**
 * 附件Service业务层处理
 *
 * @author ruoyi
 * @date 2023-12-23
 */
@RequiredArgsConstructor
@Service
public class ZEngineeringFilesServiceImpl implements IZEngineeringFilesService {

    private final ZEngineeringFilesMapper baseMapper;

    /**
     * 查询附件
     */
    @Override
    public ZEngineeringFilesVo queryById(String id){
        return baseMapper.selectVoById(id);
    }

    /**
     * 查询附件列表
     */
    @Override
    public TableDataInfo<ZEngineeringFilesVo> queryPageList(ZEngineeringFilesBo bo, PageQuery pageQuery) {
        LambdaQueryWrapper<ZEngineeringFiles> lqw = buildQueryWrapper(bo);
        Page<ZEngineeringFilesVo> result = baseMapper.selectVoPage(pageQuery.build(), lqw);
        return TableDataInfo.build(result);
    }

    /**
     * 查询附件列表
     */
    @Override
    public List<ZEngineeringFilesVo> queryList(ZEngineeringFilesBo bo) {
        LambdaQueryWrapper<ZEngineeringFiles> lqw = buildQueryWrapper(bo);
        return baseMapper.selectVoList(lqw);
    }

    private LambdaQueryWrapper<ZEngineeringFiles> buildQueryWrapper(ZEngineeringFilesBo bo) {
        Map<String, Object> params = bo.getParams();
        LambdaQueryWrapper<ZEngineeringFiles> lqw = Wrappers.lambdaQuery();
        lqw.eq(StringUtils.isNotBlank(bo.getParentId()), ZEngineeringFiles::getParentId, bo.getParentId());
        lqw.eq(StringUtils.isNotBlank(bo.getPicUrl()), ZEngineeringFiles::getPicUrl, bo.getPicUrl());
        return lqw;
    }

    /**
     * 新增附件
     */
    @Override
    public Boolean insertByBo(ZEngineeringFilesBo bo) {
        ZEngineeringFiles add = BeanUtil.toBean(bo, ZEngineeringFiles.class);
        validEntityBeforeSave(add);
        boolean flag = baseMapper.insert(add) > 0;
        if (flag) {
            bo.setId(add.getId());
        }
        return flag;
    }

    /**
     * 修改附件
     */
    @Override
    public Boolean updateByBo(ZEngineeringFilesBo bo) {
        ZEngineeringFiles update = BeanUtil.toBean(bo, ZEngineeringFiles.class);
        validEntityBeforeSave(update);
        return baseMapper.updateById(update) > 0;
    }

    /**
     * 保存前的数据校验
     */
    private void validEntityBeforeSave(ZEngineeringFiles entity){
        //TODO 做一些数据校验,如唯一约束
    }

    /**
     * 批量删除附件
     */
    @Override
    public Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid) {
        if(isValid){
            //TODO 做一些业务上的校验,判断是否需要校验
        }
        return baseMapper.deleteBatchIds(ids) > 0;
    }
}
